This is my Blog!!Welcome to you!!
【分享个人java学习心得和技术问题汇总】

从高版本JDK换成低版本JDK报错Unsupported major.minor version 52.0

java.lang.UnsupportedClassVersionError: PR/Sort : Unsupported major.minor version 52.0这个错误是由于高版本的java project使用了低版本的来运行。

我出现这个情况是我把Properties中java build path–>Libraries中的JVM8换成JVM7
之后运行就报错了
解决方法:
在Properties–>JAVA Compiler-中的Compiler compliance level从1.8改成1.7,之后就可以运行了。

未经允许不得转载:Java学习 » 从高版本JDK换成低版本JDK报错Unsupported major.minor version 52.0

分享到:更多 ()